@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
}

html {
    text-align: center;
    font-family: Poppins, 'Segoe UI', sans-serif;
    width: 100%;
    background-color: rgb(238, 238, 238);
    height: 100%;
}

body {
    max-width: 1444px;
    background-color: rgb(233, 233, 233);
    margin: 0 auto;
    height: 100%;
}

nav {
    box-sizing: border-box;
    position: fixed;
    top: 0;
    width: 100%;
    max-width: 1444px;
    padding: 20px;
    border-bottom: 2px solid #e3e3e3;
    background-color: rgb(252, 184, 59);
    z-index: 1000;
}

nav a {
    text-decoration: none;
    color: rgb(106, 31, 106);
    font-size: 1.2rem;
    margin: 0 20px;
}

nav a:hover {
    color: black;
}

nav a.active {
    color: black;
}

header {
    padding: calc(50px + 1rem + 2px);
    max-width: 1444px;
    margin: 0 auto;
}

h1 {
    margin-top: 100px;
    font-size: 3rem;
    font-weight: bold;
    line-height: 1.2em;
}

h1,
h2,
p {
    color: darkslategray
}

h1+p {
    max-width: 800px;
    min-width: 300px;
    margin: 35px auto;
}

#cta-button {
    text-decoration: none;
    text-transform: uppercase;
    background: linear-gradient(to right, #D786FF, #722CFF);
    display: inline-block;
    padding: 1em 3em;
    font-weight: 600;
    border-radius: 1000px;
    transition: 150ms ease;
}

#cta-button:hover {
    scale: 1.1;
}

.projects-container {
    margin-top: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.project-card {
    box-sizing: border-box;
    width: 250px;
    min-width: 200px;
    height: 250px;
    display: flex;
    flex-direction: column;
    margin: 0 20px;
    font-weight: 500;
    color: #3e3e3e;
    padding: 20px 20px;
    border-radius: 30px;
    margin-bottom: 30px;
    vertical-align: top;
    transition: 150ms ease-in-out;

}

.project-card>h2 {
    margin-top: 25px;
    margin-bottom: 10px;
}

.project-card>a {
    text-decoration: none;
    color: darkslategray;
}

.project-card:hover {
    scale: 1.1;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.1);
}

.project-card>a:hover {
    color: darkviolet;
}

.project-card:first-child:hover {
   background-color: color-mix(in srgb, blanchedalmond 90%, orange);
}

.project-card:nth-child(2):hover {
    background-color: color-mix(in srgb, lightblue 95%, blue);
}

.project-card:last-child:hover {
    background-color: color-mix(in srgb, rgb(252, 207, 214) 90%, red);
}

.project-card:first-child {
    background-color: blanchedalmond;
}

.project-card:nth-child(2) {
    background-color: lightblue;

}

.project-card:last-child {
    background-color: rgb(252, 207, 214);

}

form {
    max-width: 400px;
    margin: 30px auto;
}

input {
    display: inline-block;
    width: 80%;
    min-width: 200px;
    margin-bottom: 15px;
    font: inherit;
    border-radius: 30px;
}

input[type="text"],
input[type="password"] {
    padding: 5px 20px;
    height: 3rem;
    border: none;
    background-color: #d1d5e0;
}

button[type="submit"] {
    width: 200px;
    padding: 10px;
    border: none;
    background-color: #0071ff;
    color: white;
    font-weight: 600;
    border-radius: 30px;
    cursor: pointer;
    transition: 150ms ease;
}

button[type="submit"]:hover {
    scale: 1.1;
}

@media screen and (max-width: 1024px) {
    html {
        font-size: 14px;
    }
    
    nav {
        flex-direction: column;
        align-items: center;
        padding: 10px;
    }
    nav a {
        margin: 0 10px;
    }
    header {
        padding: 20px;
    }
    .project-card {
        width: 200px;
        height: 200px;
        padding: 10px 10px;
    }

}